Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum2 -- CercaGlobale -- Informativa su Cookie e Privacy

Questo Forum1 è in sola lettura -- Usa il Forum2


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Installazione driver ATI / AMD non andata in porto
#1
Ho seguito la guida http://francofait.wordpress.com/2013/06/...su-ubuntu/ ma ho trovato un intoppo:

Ho inseritoto questo avendo la 64 bit:

Codice:
sudo apt-get install dh-modaliases libelfg0 execstack build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 ia32-libs; sudo apt-get -f install
        wget -O ati-amd-v2.4-NoobsLab64.deb http://goo.gl/dylWp
        sudo dpkg -i ati-amd-v2.4-NoobsLab64.deb; rm ati-amd-v2.4-NoobsLab64.deb

(nel forum non mi è chiara molto la videata a dire il vero:

   

Per la 64 bit è la seconda tabella vero? )

Poi sono arrivate queste videate:

    )

Poi ho scelto la 13.4 ed mi è apparso...

    (perchè devo salvare? e dove devo salvare Huh ?)

   

Il sistema continua a scaricare dati ma poi da errore...

   

Perchè da errore e non va avanti?

Se nel mio caso non funzionasse come si rimuoverebbe il tutto? Smile
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#2
Perchè ho provato a rimettere i driver open sempre aggiornati:

Codice:
sudo add-apt-repository ppa:oibaf/graphics-drivers
[sudo] password for:
You are about to add the following PPA to your system:
PLEASE READ: don't email me to report bugs, unless you are sure it's a packaging bug. Not only is email not a good tool for tracking bugs, it also excludes anybody else from tracking or working on the issue. Please read the section "Debugging and reporting problems" below.

=============

Supported Ubuntu versions: 12.04 (precise), 12.10 (quantal) and 13.04 (raring).

For forum support see: http://phoronix.com/forums/showthread.php?50038-Updated-and-Optimized-Ubuntu-Free-Graphics-Drivers

Medesimo file in PDF

To support this PPA with a Paypal donation: https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=fmrummey%40gmail%2ecom&lc=US&item_name=Ubuntu%20Graphics%20Drivers%20PPA&item_number=PPA&currency_code=EUR&bn=PP%2dDonationsBF%3apaypal%2epng%3aNonHosted

=== Introduction ===
This PPA provides updated X (2D) and mesa (3D) free graphics drivers for radeon, intel and nvidia hardware. It is somewhat inspired by the xorg-edgers PPA but it only provides graphics drivers to lower the risk of package breakage and other problems. Updates mesa packages provide:
 * OpenGL 3.1+ support (on compatible chipset) and new OpenGL extensions
 * New radeonsi driver
 * r600 LLVM shader compiler
 * improved games support
 * performance improvements, especially on the gallium drivers
 * xvmc and vdpau Gallium3D accelerated video drivers (install the libg3dvl-mesa package)
 * PostProcessing, including MLAA: http://cgit.freedesktop.org/mesa/mesa/plain/docs/postprocess.html
 * gallium llvmpipe as the default software renderer rather than classic swrast
 * nouveau gallium (for newer GPU) and classic (for older GPU) drivers
 * i915 gallium drivers in the experimental package
 * support for S3TC texture compression
 * support for floating textures
 * --enable-debug flag (to better debug mesa and games bugs)
 * custom OpenGL version string to make sure you are running drivers from this PPA

For more details check the changelog.

=== Basic usage ===
See "Adding this PPA to your system" later on and update your Ubuntu with the package herein.

=== Using VDPAU/XvMC accelerated video ===
Supported XvMC drivers: softpipe, r300, r600, nouveau
Supported VDPAU drivers: softpipe, r300, r600, nouveau

* First you need to install the libg3dvl-mesa package:
sudo apt-get install libg3dvl-mesa

* Then to test the VDPAU driver with mplayer use:
for basic accelerated video output:
$ mplayer -vo vdpau yourvideofile
for accelerated video decoding (only some formats (i.e. mpeg2) are currently supported):
$ mplayer -vo vdpau -vc ffmpeg12vdpau yourvideofile

* To test the XvMC (e.g.) r600 driver edit the file /etc/X11/XvMCConfig and insert:
/usr/lib/dri/libXvMCr600.so

and restart the X server. Then to test it with mplayer:
mplayer -vo xvmc yourvideofile

=== Using alternative drivers ===
Example on how to run your OpenGL program (in this case glxgears -info) with non default drivers.

To use experimental i915 gallium driver, or classic swrast driver you need to install the experimental package:
$ sudo apt-get install libgl1-mesa-dri-experimental

To force the use of gallium llvmpipe software render:
$ LIBGL_ALWAYS_SOFTWARE=1 glxgears -info
To force the use of old non-gallium software render:
$ LIBGL_ALWAYS_SOFTWARE=1 LIBGL_DRIVERS_PATH=/usr/lib/dri-alternates glxgears -info
To force the use of gallium i915 driver:
$ LIBGL_DRIVERS_PATH=/usr/lib/dri-alternates glxgears -info

=== Debugging and reporting problems ===
If you have some problem with the drivers try running the application from the command line and see if there are graphics related warnings (note that mesa is already built with --enable-debug which can provide useful debug informations). Also type dmesg to see if there are other related informations here.

If you get crashes install the relevant -dbg pacakges (libgl1-mesa-dri-dbg or libgl1-mesa-dri-experimental-dbg for 3D drivers and xserver-xorg-video-intel-dbg , xserver-xorg-video-nouveau-dbg or xserver-xorg-video-radeon-dbg for X drivers) and reproduce the crash with gdb. Example:
$ gdb glxgears
[...make your application crash and then get a backtrace with:]
(gdb) bt

If X.org crashes look at /var/log/Xorg.0.log (or /var/log/Xorg.0.log.old when a new X session is started after the crash).

With the gathered informations try searching at https://bugs.freedesktop.org/query.cgi (also try with google) if someone already reported a similar bug. If not you may want to report a new bug:
for 3D drivers bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa
for X / 2D driver bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg

=== Revert to original drivers ===
To revert to standard Ubuntu drivers type the following in a prompt shell:
$ sudo apt-get install ppa-purge
$ sudo ppa-purge ppa:oibaf/graphics-drivers
More info: https://launchpad.net/~oibaf/+archive/graphics-drivers
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: portachiavi "/tmp/tmpkc6mx9/secring.gpg" creato
gpg: portachiavi "/tmp/tmpkc6mx9/pubring.gpg" creato
gpg: richiesta della chiave A03A4626 dal server hkp keyserver.ubuntu.com
gpg: /tmp/tmpkc6mx9/trustdb.gpg: creato il trustdb
gpg: chiave A03A4626: chiave pubblica «Launchpad PPA for Fabio Pedretti» importata
gpg: Numero totale esaminato: 1
gpg:               importate: 1  (RSA: 1)
OK
:~$  sudo apt-get update
E: Tipo "ain" non riconosciuto alla riga 3 nel file /etc/apt/sources.list.d/oibaf-graphics-drivers-precise.list
E: Impossibile leggere l'elenco dei sorgenti.
:~$  sudo add-apt-repository ppa:oibaf/graphics-drivers
You are about to add the following PPA to your system:
PLEASE READ: don't email me to report bugs, unless you are sure it's a packaging bug. Not only is email not a good tool for tracking bugs, it also excludes anybody else from tracking or working on the issue. Please read the section "Debugging and reporting problems" below.

=============

Supported Ubuntu versions: 12.04 (precise), 12.10 (quantal) and 13.04 (raring).

For forum support see: http://phoronix.com/forums/showthread.php?50038-Updated-and-Optimized-Ubuntu-Free-Graphics-Drivers

To support this PPA with a Paypal donation: https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=fmrummey%40gmail%2ecom&lc=US&item_name=Ubuntu%20Graphics%20Drivers%20PPA&item_number=PPA&currency_code=EUR&bn=PP%2dDonationsBF%3apaypal%2epng%3aNonHosted

=== Introduction ===
This PPA provides updated X (2D) and mesa (3D) free graphics drivers for radeon, intel and nvidia hardware. It is somewhat inspired by the xorg-edgers PPA but it only provides graphics drivers to lower the risk of package breakage and other problems. Updates mesa packages provide:
 * OpenGL 3.1+ support (on compatible chipset) and new OpenGL extensions
 * New radeonsi driver
 * r600 LLVM shader compiler
 * improved games support
 * performance improvements, especially on the gallium drivers
 * xvmc and vdpau Gallium3D accelerated video drivers (install the libg3dvl-mesa package)
 * PostProcessing, including MLAA: http://cgit.freedesktop.org/mesa/mesa/plain/docs/postprocess.html
 * gallium llvmpipe as the default software renderer rather than classic swrast
 * nouveau gallium (for newer GPU) and classic (for older GPU) drivers
 * i915 gallium drivers in the experimental package
 * support for S3TC texture compression
 * support for floating textures
 * --enable-debug flag (to better debug mesa and games bugs)
 * custom OpenGL version string to make sure you are running drivers from this PPA

For more details check the changelog.

=== Basic usage ===
See "Adding this PPA to your system" later on and update your Ubuntu with the package herein.

=== Using VDPAU/XvMC accelerated video ===
Supported XvMC drivers: softpipe, r300, r600, nouveau
Supported VDPAU drivers: softpipe, r300, r600, nouveau

* First you need to install the libg3dvl-mesa package:
sudo apt-get install libg3dvl-mesa

* Then to test the VDPAU driver with mplayer use:
for basic accelerated video output:
$ mplayer -vo vdpau yourvideofile
for accelerated video decoding (only some formats (i.e. mpeg2) are currently supported):
$ mplayer -vo vdpau -vc ffmpeg12vdpau yourvideofile

* To test the XvMC (e.g.) r600 driver edit the file /etc/X11/XvMCConfig and insert:
/usr/lib/dri/libXvMCr600.so

and restart the X server. Then to test it with mplayer:
mplayer -vo xvmc yourvideofile

=== Using alternative drivers ===
Example on how to run your OpenGL program (in this case glxgears -info) with non default drivers.

To use experimental i915 gallium driver, or classic swrast driver you need to install the experimental package:
$ sudo apt-get install libgl1-mesa-dri-experimental

To force the use of gallium llvmpipe software render:
$ LIBGL_ALWAYS_SOFTWARE=1 glxgears -info
To force the use of old non-gallium software render:
$ LIBGL_ALWAYS_SOFTWARE=1 LIBGL_DRIVERS_PATH=/usr/lib/dri-alternates glxgears -info
To force the use of gallium i915 driver:
$ LIBGL_DRIVERS_PATH=/usr/lib/dri-alternates glxgears -info

=== Debugging and reporting problems ===
If you have some problem with the drivers try running the application from the command line and see if there are graphics related warnings (note that mesa is already built with --enable-debug which can provide useful debug informations). Also type dmesg to see if there are other related informations here.

If you get crashes install the relevant -dbg pacakges (libgl1-mesa-dri-dbg or libgl1-mesa-dri-experimental-dbg for 3D drivers and xserver-xorg-video-intel-dbg , xserver-xorg-video-nouveau-dbg or xserver-xorg-video-radeon-dbg for X drivers) and reproduce the crash with gdb. Example:
$ gdb glxgears
[...make your application crash and then get a backtrace with:]
(gdb) bt

If X.org crashes look at /var/log/Xorg.0.log (or /var/log/Xorg.0.log.old when a new X session is started after the crash).

With the gathered informations try searching at https://bugs.freedesktop.org/query.cgi (also try with google) if someone already reported a similar bug. If not you may want to report a new bug:
for 3D drivers bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa
for X / 2D driver bugs: https://bugs.freedesktop.org/enter_bug.cgi?product=xorg

=== Revert to original drivers ===
To revert to standard Ubuntu drivers type the following in a prompt shell:
$ sudo apt-get install ppa-purge
$ sudo ppa-purge ppa:oibaf/graphics-drivers
More info: https://launchpad.net/~oibaf/+archive/graphics-drivers
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: portachiavi "/tmp/tmpbn6oa6/secring.gpg" creato
gpg: portachiavi "/tmp/tmpbn6oa6/pubring.gpg" creato
gpg: richiesta della chiave A03A4626 dal server hkp keyserver.ubuntu.com
gpg: /tmp/tmpbn6oa6/trustdb.gpg: creato il trustdb
gpg: chiave A03A4626: chiave pubblica «Launchpad PPA for Fabio Pedretti» importata
gpg: Numero totale esaminato: 1
gpg:               importate: 1  (RSA: 1)
OK
:~$  sudo apt-get update
E: Tipo "ain" non riconosciuto alla riga 3 nel file /etc/apt/sources.list.d/oibaf-graphics-drivers-precise.list
E: Impossibile leggere l'elenco dei sorgenti.
:~$

Medesimo testo lo metto anche in PDF qui sotto, scaricabile:
.pdf   Senza nome 1.pdf (Dimensione: 27,3 KB / Download: 0)
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#3
(30-06-2013, 17:29 )Bingol Ha scritto: Ho seguito la guida http://francofait.wordpress.com/2013/06/...su-ubuntu/ ma ho trovato un intoppo:

Ho inseritoto questo avendo la 64 bit:

Codice:
sudo apt-get install dh-modaliases libelfg0 execstack build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 ia32-libs; sudo apt-get -f install
        wget -O ati-amd-v2.4-NoobsLab64.deb http://goo.gl/dylWp
        sudo dpkg -i ati-amd-v2.4-NoobsLab64.deb; rm ati-amd-v2.4-NoobsLab64.deb

(nel forum non mi è chiara molto la videata a dire il vero:



Per la 64 bit è la seconda tabella vero? )

Poi sono arrivate queste videate:

)

Poi ho scelto la 13.4 ed mi è apparso...

(perchè devo salvare? e dove devo salvare Huh ?)



Il sistema continua a scaricare dati ma poi da errore...



Perchè da errore e non va avanti?

Se nel mio caso non funzionasse come si rimuoverebbe il tutto? Smile


L' errore che ti restituisce è da probabile incompleta installazione dei pacchetti richiesti all' inizio , puoi verificarne la presemza dal gestere dei pacchetti Synaptic , assicurati che sia presente l' header del kernel in uso , se è assente va installato , senza la sua presenza nun puoi installare nessun driver .
Imperativo poi che il pacchetto dopo avertele scarcato ti chieda dove salvarlo , usa la regolare cartella utente di defaullts 'Scaricati' .
Dal momento che te lo restituisce come pienamente supportato , non c' è motivo per cui non debba poi funzionare. per quanto la mia ati sia una legacy , la procedura a me funziona subito senza darmi problemi .
Se non ti scomoda più di tanto l' inglese , puoi prendere in riferimento le guide originali di NooBSLab direttamente dal suo blog

http://www.noobslab.com/p/tutorials.html
Cita messaggio
#4
Ma a che serve tutta sta manfrina ... non si fa prima con:

sudo apt-get install fglrx-updates

o direttamente il file .run prelevato dal sito AMD
Cita messaggio
#5
Come si fa a tornare come prima... Smile sorriso originale ???! prima di tutti questi passaggi che ora il gestore aggiornamenti mi da un sacco di errori!!!
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#6
Nemmeno più il ubuntu software center si apre se lo apro da errori... a mio avviso c'è qualcosa che non quadra nella guida testè messa...
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#7
Rimuovi tutti i pacchetti installati e i driver proprietari ... dovresti conoscere i passaggi lo avrai fatto almeno 50 volte Sad
Cita messaggio
#8
si ma ora c'è il problema che dopo aver fatto i passaggi della guida... il gestore pacchetti mi ha scaricati altri aggiornamenti i quali ora daranno problemi... da Ubuntu Sofware Center volevo andare a vedere i pacchetti che si sono installati per poi rimuoverli
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#9
Comunque Tumbler con il solito metodo non rimuove nulla:

:~$ sudo sh /usr/share/ati/fglrx-uninstall.sh
[sudo] password for:
sh: 0: Can't open /usr/share/ati/fglrx-uninstall.sh
:~$ sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
Nota, viene selezionato "xorg-driver-fglrx" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-kernel-source" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-amdcccle-updates" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "xorg-driver-fglrx-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-driver-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "xfree86-driver-fglrx" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-amdcccle-experimental-12" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-experimental-9-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-amdcccle-experimental-9" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-experimental-12-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-updates" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-control-qt2" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-updates-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-experimental-12" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-glx" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-modaliases" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-experimental-9" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "xfree86-driver-fglrx-dev" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-amdcccle" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-driver" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-control" per l'espressione regolare "fglrx_*"
Nota, viene selezionato "fglrx-amdcccle-updates" per l'espressione regolare "fglrx-amdcccle*"
Nota, viene selezionato "fglrx-amdcccle-experimental-12" per l'espressione regolare "fglrx-amdcccle*"
Nota, viene selezionato "fglrx-amdcccle-experimental-9" per l'espressione regolare "fglrx-amdcccle*"
Nota, viene selezionato "fglrx-amdcccle" per l'espressione regolare "fglrx-amdcccle*"
Nota, viene selezionato "xorg-driver-fglrx-dev" per l'espressione regolare "fglrx-dev*"
Nota, viene selezionato "fglrx-dev" per l'espressione regolare "fglrx-dev*"
Nota, viene selezionato "xfree86-driver-fglrx-dev" per l'espressione regolare "fglrx-dev*"
Pacchetti virtuali come "xorg-driver-fglrx" non possono essere rimossi
Il pacchetto fglrx non è installato e quindi non è stato rimosso
Il pacchetto fglrx-amdcccle non è installato e quindi non è stato rimosso
Il pacchetto fglrx-amdcccle-experimental-12 non è installato e quindi non è stato rimosso
Il pacchetto fglrx-amdcccle-experimental-9 non è installato e quindi non è stato rimosso
Il pacchetto fglrx-amdcccle-updates non è installato e quindi non è stato rimosso
Il pacchetto fglrx-dev non è installato e quindi non è stato rimosso
Il pacchetto fglrx-experimental-12 non è installato e quindi non è stato rimosso
Il pacchetto fglrx-experimental-12-dev non è installato e quindi non è stato rimosso
Il pacchetto fglrx-experimental-9 non è installato e quindi non è stato rimosso
Il pacchetto fglrx-experimental-9-dev non è installato e quindi non è stato rimosso
Il pacchetto fglrx-updates non è installato e quindi non è stato rimosso
Il pacchetto fglrx-updates-dev non è installato e quindi non è stato rimosso
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
«Quanta strada ha fatto il tuo pensiero per giungere alla sapienza, e quanta dovrà ancora farne per giungere alla verità?» (G. A. Rol) Idea 

Ubuntu 12.04 Plus Remix - 64 bit
Cita messaggio
#10
Ovvio che non funziona ... non hai installato i driver convenzionali.

Se hai rimosso i pacchetti con l'opzione "rimuovi completamente" avrai eliminato anche le dipendenze ... dopo eventualmente dai una pulita ad apt.

devi rimuovere anche questo < pacchetto ati-amd-v2.4-NoobsLab64.deb > sempre da synaptic ... poi riavvia e controlla con che driver parti.
Cita messaggio


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)